@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@300&family=Poiret+One&display=swap');

:root {
    --primary-color: #9167f2;
    --accent-pink: #ff92ee;
    --accent-yellow: #ffce00;
    --accent-green: #adeb00;

    --preto: #202020;
    --cinza: #b9b8b8;
    --branco: #ffffff;
    --body-color: var(--branco);
    --backCards: var(--branco);
    --shadowCards: rgba(0, 0, 0, 0.1);
    --borderCards: var(--cinza);

    --header-height: 3.5rem;
    --biggest-font-size: 2rem;
    --h1-font-size: 1.5rem;
    --h2-font-size: 1.25rem;
    --h3-font-size: 1rem;
    --normal-font-size: 0.938rem;
    --small-font-size: 0.813rem;
    --smaller-font-size: 0.75rem;

    --font-medium: 500;
    --font-semi-bold: 600;

    --z-tooltip: 10;
    --z-fixed: 100;

    --body-font: "Poppins", sans-serif;

    font-size: 16px;
    font-family: var(--body-font);
}

@media screen and (min-width: 1024px) {
    :root {
        --biggest-font-size: 2.2rem;
        --h1-font-size: 2.25rem;
        --h2-font-size: 1.5rem;
        --h3-font-size: 1.25rem;
        --normal-font-size: 1rem;
        --small-font-size: 0.875rem;
        --smaller-font-size: 0.813rem;
    }
}


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

::-webkit-scrollbar {
    width: 12px;
}

::-webkit-scrollbar-thumb {
    background-color: var(--primary-color);
    border-radius: 10px;
}

::-webkit-scrollbar {
    background-color: #e1e1e1;
}

body {
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    background-color: var(--body-color);
    color: var(--preto);
}

h1,
h2,
h3 {
    color: var(--preto);
    font-weight: var(--font-semi-bold);
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
    height: auto;
}

input,
button {
    font-family: var(--body-font);
    outline: none;
    border: none;
}

.container {
    max-width: 1024px;
    margin-left: 1.5rem;
    margin-right: 1.5rem;
}

.grid {
    display: grid;
}

.section {
    padding: 4.5rem 0 2rem;
}

.section-title {
    font-size: var(--h2-font-size);
    margin-bottom: 1rem;
}

.section-title span {
    color: var(--preto);
}

.section-subtitle {
    display: block;
    font-size: var(--small-font-size);
    color: var(--preto);
}

.main {
    overflow: hidden;
}

.header {
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: var(--body-color);
    z-index: var(--z-fixed);
    transition: 0.4s;
}

.nav {
    height: var(--header-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-logo {
    display: inline-flex;
    align-items: center;
    column-gap: 0.25rem;
    font-weight: var(--font-medium);
    transition: 0.4s;
}

.nav-logo img {
    width: 150px;
    position: relative;
    right: 50px;
}

.nav-logo a {
    position: relative;
    right: 100px;
    color: var(--primary-color);
    font-weight: 800;
}

.nav-text>span {
    visibility: visible;
}

.nav-login-respo {
    display: flex;
    align-items: center;
}

.nav-button,
.nav-link,
.nav-login {
    font-weight: var(--font-medium);
    transition: 0.4s;
}

.nav-link:hover {
    color: var(--accent-pink);
}

.nav-login:hover {
    color: var(--accent-pink);
}

.nav-login {
    color: var(--preto);
    text-decoration: underline;
    padding-left: 1rem;
}

.home {
    padding-bottom: 0;
}

.home-container {
    padding-top: 4rem;
    row-gap: 3.5rem;
}

.home-title {
    font-size: var(--biggest-font-size);
    color: var(--preto);
    line-height: 120%;
    margin-bottom: 1.25rem;
}

.home-description {
    color: var(--cinza);
    margin-bottom: 2rem;
    width: 80%;
}

.home-button {
    margin-bottom: 2rem;
}

.home-value {
    display: flex;
    column-gap: 2.5rem;
}

.home-value-number {
    font-size: var(--h1-font-size);
    color: var(--accent-yellow);
}

.home-value-description {
    font-size: var(--small-font-size);
    font-weight: var(--font-medium);
    color: var(--cinza);
}

.home-image {
    display: flex;
    justify-content: center;
}

.home-img {
    width: 250px;
    height: 300px;
}

.button {
    display: inline-block;
    background-color: var(--primary-color);
    font-size: var(--normal-font-size);
    font-weight: var(--font-medium);
    color: var(--branco);
    /* box-shadow: 0 4px 8px hsla(228, 66%, 45%, 0.25); */
    padding: 12px 32px;
    border-radius: 8px;
    transition: 0.4s;
    cursor: pointer;
}

.button:hover {
    background-color: var(--accent-green);
}

.about-img {
    width: 280px;
    justify-self: center;
    border-radius: 0.8rem;
}

.about-title {
    margin-bottom: 1rem;
}

.about-description {
    line-height: 130%;
    margin-bottom: 2rem;
}

.about-description span {
    color: var(--accent-yellow);
    font-weight: var(--font-semi-bold);
}

.group-container,
.about-container {
    row-gap: 1rem;
}

.group-data,
.about-data {
    text-align: center;
}

.group-title,
.about-data {
    margin-bottom: 1.5rem;
}

.group-description,
.about-description {
    color: var(--cinza);
    margin-bottom: 2.5rem;
}

.group-img,
.about-img {
    width: 280px;
    justify-self: center;
}

.call {
    padding: 2.5rem 0;
}

.call-container {
    padding: 3rem 2rem;
    background-color: var(--primary-color);
    border-radius: 1.25rem;
    text-align: center;
}

.call-title {
    font-size: var(--h2-font-size);
    font-weight: var(--font-medium);
    color: var(--branco);
    margin-bottom: 1rem;
}

.call-company {
    font-size: var(--small-font-size);
    font-weight: var(--font-semi-bold);
    color: var(--accent-pink);
    margin-bottom: 1rem;
}

.contact-container {
    row-gap: 3.5rem;
}

.contact-data {
    display: grid;
    row-gap: 2rem;
}

.contact-subtitle {
    font-size: var(--normal-font-size);
    font-weight: var(--font-medium);
    color: var(--cinza);
    margin-bottom: 0.5rem;
}

.contact-description {
    display: inline-flex;
    align-items: center;
    column-gap: 0.5rem;
    color: var(--primary-color);
    font-weight: var(--font-medium);
}

.contact-inputs {
    display: grid;
    row-gap: 2rem;
    font-weight: 700;
    margin-bottom: 2.5rem;
}

.contact-content {
    position: relative;
    height: 3rem;
    border-bottom: 1px solid var(--primary-color);
}

.contact-input {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    padding: 1rem 1rem 1rem 0;
    background: none;
    font-weight: var(--font-medium);
    border: none;
    outline: none;
    z-index: 1;
}

.contact-label {
    width: 100%;
    position: absolute;
    top: 0.75rem;
    font-size: var(--small-font-size);
    transition: 0.4s;
}

.contact-area {
    height: 7rem;
}

.contact-area textarea {
    resize: none;
}

.button-flex:hover {
    background-color: var(--accent-green);
}

.contact-input:focus+.contact-label {
    top: -0.75rem;
    left: 0;
    font-size: var(--smaller-font-size);
    z-index: 10;
}

.contact-input:not(:placeholder-shown).contact-input:not(:focus)+.contact-label {
    top: -0.75rem;
    font-size: var(--smaller-font-size);
    z-index: 10;
}

.slogan {
    padding: 2.5rem 0;
}

.slogan-container {
    padding: 3rem 2rem;
    text-align: center;
}

.slogan-button {
    font-size: var(--small-font-size);
    margin-top: 1rem;
    transition: 0.4s;
}

.slogan-button:hover {
    background-color: var(--accent-green);
}

.footer-container {
    row-gap: 1rem;
}

.footer-logo {
    display: inline-flex;
    align-items: center;
    column-gap: 0.5rem;
    font-size: 1rem;
    color: var(--primary-color);
    font-weight: 700;
    margin-bottom: 1rem;
    transition: 0.3s;
}

.footer-logo:hover {
    color: var(--accent-green);
}

.footer-title {
    margin-bottom: 1.5rem;
}

.footer-info {
    font-weight: var(--font-medium);
    margin-bottom: 0.63rem;
    transition: 0.4s;
    cursor: pointer;
}

.footer-info:hover {
    color: var(--primary-color);
}

.footer-data {
    display: grid;
    row-gap: 0.75rem;
}

.footer-social {
    display: inline-flex;
    column-gap: 0.75rem;
}

.footer-social-link {
    color: var(--primary-color);
    transition: 0.3s;
}

.footer-social-link:hover {
    transform: translateY(-0.25rem);
    color: var(--accent-pink);
}

.footer-copy {
    text-align: center;
    font-weight: var(--font-medium);
    color: var(--primary-color);
    margin: 5rem 0 1rem;
}

.active {
    font-weight: bold;
    cursor: pointer;
}


@media screen and (max-width: 350px) {
    .home-container {
        display: flex;
        flex-direction: column;
    }

    .home-title {
        width: 100%;
    }

    .container {
        margin-left: 1rem;
        margin-right: 1rem;
    }

    .section {
        padding: 3.5rem 0 1rem;
    }

    .home {
        padding-bottom: 0;
    }
}

@media screen and (max-width: 375px) {
    .home-data {
        text-align: center;
    }

    .home-button {
        display: flex;
        flex-direction: column;
        gap: 5px;
        align-items: center;
    }

    .home-button a {
        padding-left: 0;
    }

    .home-container {
        display: flex;
        flex-flow: row wrap;
    }

    .home-description {
        width: 100%;
    }

}

@media screen and (max-width: 426px) {
    footer {
        text-align: center;
    }
}

@media screen and (min-width: 576px) {
    .nav-menu {
        width: 342px;
    }

    .group-description,
    .about-description {
        padding: 0 4rem;
    }
}

@media screen and (max-width: 590px) {
    .nav-menu {
        padding: 1.3rem 1.5rem;
    }

    .nav-logo a {
        display: none;
    }

    .home-value {
        column-gap: 1rem;
    }

    .home-img {
        width: 390px;
        height: 280px;
    }

    .call-container {
        padding: 2rem 1rem;
    }
}

@media screen and (min-width: 767px) {
    .home-container {
        grid-template-columns: repeat(2, 1fr);
        padding-top: 2rem;
    }

    .home-data {
        padding-bottom: 2rem;
    }

    .home-image {
        align-items: center;
    }

    .group-container,
    .about-container {
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
    }

    .group-data,
    .group-title,
    .about-data,
    .about-title {
        text-align: initial;
    }

    .group-description,
    .about-description {
        padding: 0;
    }

    .call-container {
        padding: 3rem 13rem;
    }

    .contact-container {
        grid-template-columns: repeat(2, 1fr);
    }

    .footer-container{
        grid-template-columns: repeat(2, 1fr);
        row-gap: 1rem;
    }
}

@media screen and (min-width: 992px) {
    .group-img {
        width: 450px;
    }

    .about-img {
        width: 450px;
        order: -1;
    }

    .group-description,
    .about-description {
        padding-right: 7rem;
    }

    .footer-container {
        grid-template-columns: 1fr 0.5fr 0.5fr 0.5fr;
    }

    .footer-copy {
        margin: 7rem 0 2rem;
    }
}

@media screen and (min-width: 1024px) {
    .section {
        padding: 7.5rem 0 1rem;
    }

    .section-title {
        font-size: 2.25rem;
    }

    .section-subtitle {
        font-size: var(--normal-font-size);
    }

    .nav {
        height: calc(var(--header-height) + 1.5rem);
    }

    .nav-menu {
        width: initial;
    }

    .nav-list {
        display: flex;
        column-gap: 3rem;
        margin: 1rem;
    }

    .nav-link {
        color: var(--preto);
    }

    .nav-link i {
        display: none;
    }

    .nav-button {
        display: inline-block;
    }

    .home {
        padding-bottom: 0;
    }

    .home-container {
        padding-top: 5rem;
        column-gap: 2rem;
    }

    .home-data {
        padding-bottom: 4rem;
    }

    .home-title {
        margin-bottom: 2rem;
    }

    .home-description {
        margin-bottom: 1.2rem;
    }

    .home-value {
        column-gap: 3.5rem;
    }

    .home-img {
        width: 500px;
        height: 604px;
    }

    .about-container {
        padding: auto;
        column-gap: 8rem;
    }

    .call-container {
        padding: 4rem 10rem 4.5rem;
        border-radius: 2rem;
        background-color: var(--primary-color);
    }

    .call-title {
        font-size: 2rem;
        margin-bottom: 1.5rem;
    }

    .call-company {
        font-size: var(--normal-font-size);
        padding: 0 8rem;
    }

    .slogan-container {
        padding: 4rem 10rem 4.5rem;
        border-radius: 2rem;
    }

    .slogan-title {
        font-size: 2.5rem;
        margin-bottom: 1.5rem;
    }

    .slogan-button {
        font-size: var(--normal-font-size);
    }
}

@media screen and (max-width: 1023px) {
    .nav-menu {
        width: 90%;
        position: fixed;
        left: 0;
        right: 0;
        bottom: 2rem;
        margin: 0 auto;
        padding: 1.3rem 3rem;
        background-color: var(--body-color);
        box-shadow: 0 8px 24px hsla(228, 66%, 45%, 0.15);
        border-radius: 1.25rem;
        transition: 0.4s;
    }

    .nav-list {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .nav-link {
        display: flex;
        padding: 0.5rem;
        border-radius: 50%;
        color: var(--preto);
    }

    .nav-link i {
        font-size: 1.25rem;
        color: var(--primary-color);
    }

    .nav-link span {
        display: none;
    }
}

@media screen and (min-width: 1040px) {
    .container {
        margin-left: auto;
        margin-right: auto;
    }

    .home-container {
        column-gap: 4rem;
    }
}